org.apache.log4j.rule

## Class AbstractRule

- java.lang.Object
- - org.apache.log4j.rule.AbstractRule

- All Implemented Interfaces:
    Serializable, Rule
  Direct Known Subclasses:
    AndRule, ColorRule, EqualsRule, ExistsRule, ExpressionRule, InequalityRule, LevelEqualsRule, LikeRule, NotEqualsRule, NotLevelEqualsRule, NotRule, OrRule, PartialTextMatchRule, TimestampEqualsRule, TimestampInequalityRule

      public abstract class AbstractRule
      extends Object
      implements Rule, Serializable

  An abstract Rule class that provides the PropertyChange support plumbing.
  Author:
    Paul Smith (psmith@apache.org), Scott Deboy (sdeboy@apache.org)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractRule()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener l)` Add property change listener.
    `void` | `firePropertyChange(PropertyChangeEvent evt)` Send property change notification to attached listeners.
    `protected void` | `firePropertyChange(String propertyName, Object oldVal, Object newVal)` Send property change notification to attached listeners.
    `void` | `removePropertyChangeListener(PropertyChangeListener l)` Remove property change listener.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.log4j.rule.Rule

      `evaluate`

- - ### Constructor Detail

    - #### AbstractRule

          public AbstractRule()

  - ### Method Detail

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener l)

      Add property change listener.
      Specified by:
        `addPropertyChangeListener` in interface `Rule`
      Parameters:
        `l` - listener.

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener l)

      Remove property change listener.
      Specified by:
        `removePropertyChangeListener` in interface `Rule`
      Parameters:
        `l` - listener.

    - #### firePropertyChange

          protected void firePropertyChange(String propertyName,
                                Object oldVal,
                                Object newVal)

      Send property change notification to attached listeners.
      Parameters:
        `propertyName` - property name.
        `oldVal` - old value.
        `newVal` - new value.

    - #### firePropertyChange

          public void firePropertyChange(PropertyChangeEvent evt)

      Send property change notification to attached listeners.
      Parameters:
        `evt` - property change event.

Copyright © 2013 The Apache Software Foundation. Licensed under the Apache License, Version 2.0

Apache Extras for Apache log4j, Apache log4j and Apache are trademarks of the Apache Software Foundation.